Bug 254017 - Under Qt the QCleanlooksStyle does not display icons in a QComboBox.
Under Qt the QCleanlooksStyle does not display icons in a QComboBox.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qt4 (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
http://trolltech.com/developer/task-t...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-23 13:19 EDT by Pablo Mejia
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-30 04:59:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pablo Mejia 2007-08-23 13:19:19 EDT
Description of problem:

Under Qt the QCleanlooksStyle does not display icons in a QComboBox.

Version-Release number of selected component (if applicable):

Fedora 7
Qt 4.3.0
QCleanlooksStyle (default in Fedora 7)

Steps to Reproduce:
1. Run /usr/lib/qt4/examples/itemviews/coloreditorfactory/coloreditorfactory
2. Double click on a hair color in the table to start editing it
3. Click on hair color to display combo box list
  
Actual results:

The combo box list shows the color names, but not the color square

Expected results:

The combo box list also shows a color square for each entry

Additional info:

The bug was reported upstream (#169883) and is fixed in Qt 4.3.1 (see URL)
It affects the default Qt theme under Fedora 7, so it is easy to run into.
In some use cases (where I discovered it), where only the color square is to be
displayed (no text), it effectively breaks the application under the default style.
Comment 1 Ngo Than 2007-08-30 04:59:11 EDT
it's fixed in qt4-4.3.1 which is available for F7 update

Note You need to log in before you can comment on or make changes to this bug.